<template>
    <v-dialog v-model="modalOpen" max-width="1000px">
        <v-card style="font-size: 18px;letter-spacing: -0.025em; background-color: #00468A; color: #ffff;">
            <v-container>
                Manuel Hareket Giriş Ekranı
            </v-container>
        </v-card>
        <v-card>
            <v-container>
                <v-row>
                    <v-col>
                        <v-row>
                            <v-col>
                                <div class="custom-label">Tip </div><br>
                                <v-combobox class="custom-combobox" :items="this.type" v-model="reactForm.type"
                                    variant="outlined" />
                                <div class="custom-label">T/I</div><br>
                                <v-combobox class="custom-combobox" :items="this.ti" v-model="reactForm.selectedTi"
                                    variant="outlined" />
                                <div class="custom-label">Vade Tarih </div><br>
                                <v-text-field class="text-eureko" :disabled="false" variant="outlined"
                                    v-model="reactForm.expiryDate" type="date" />
                                <div class="custom-label">Yıl </div><br>
                                <v-text-field class="text-eureko" :disabled="false" variant="outlined"
                                    v-model="reactForm.year" type="number" />

                            </v-col>
                            <v-col>

                                <div class="custom-label">Quarter</div><br>
                                <v-combobox class="custom-combobox" :items="this.quarters"
                                    v-model="reactForm.selectedQuarter" variant="outlined" />
                                <div class="custom-label">Belge Türü </div><br>
                                <v-combobox class="custom-combobox" :items="documentTypeItems"
                                    v-model="reactForm.selectedDocumentType" variant="outlined" />

                                <div class="custom-label">Belge Tarihi </div>
                                <v-text-field class="text-eureko" :disabled="false" variant="outlined"
                                    v-model="reactForm.documentDate" type="date" />

                                <div class="custom-label">Belge No </div><br>
                                <v-text-field class="text-eureko" :disabled="false" variant="outlined"
                                    v-model="reactForm.documentNo" type="number" />
                            </v-col>
                            <v-col>
                                <div class="custom-label">Açıklama </div><br>
                                <v-textarea class="custom-textarea" :disabled="false" variant="outlined"
                                    v-model="reactForm.description"></v-textarea>
                                <div class="custom-label">Döviz</div><br>
                                <v-combobox class="custom-combobox" :items="this.currencies"
                                    v-model="reactForm.selectedCurreny" variant="outlined" />
                                <div class="custom-label">Tutar </div><br>
                                <v-text-field class="text-eureko" :disabled="false" variant="outlined"
                                    v-model="reactForm.amount" type="number"></v-text-field>

                            </v-col>
                        </v-row>

                        <v-row>
                            <v-col>
                                <div class="custom-label">Banka </div><br>
                                <v-combobox class="custom-combobox" :items="banks" v-model="reactForm.selectedBank"
                                    variant="outlined" />

                            </v-col>
                            <v-col>
                                <div class="custom-label">Hesap </div><br>
                                <v-combobox class="custom-combobox" :items="banks" v-model="reactForm.selectedAccount"
                                    variant="outlined" />
                            </v-col>
                        </v-row>
                    </v-col>
                </v-row>

                <v-row>
                    <v-col cols="12" md="6" justify="start" class="text-left">
                        <custom-button style="width: 120px;" color="danger" size="medium" val="Vazgeç"
                            @click="closeModal" />
                    </v-col>
                    <v-col cols="12" md="6" justify="end" class="text-right">
                        <custom-button style="width: 120px;" color="primary" size="medium" val="Kaydet"
                            @click="submitForm" />
                    </v-col>
                </v-row>
            </v-container>
        </v-card>
    </v-dialog>
</template>
  
<script>
import { ref, reactive, watch, emit } from 'vue';
import CustomButton from '@/components/custom-controller/CustomButton.vue';
export default {
    components: {
        CustomButton
    },
    props: {
        isOpen: {
            type: Boolean,
            default: false
        }
    },
    setup(props) {
        const modalOpen = ref(props.isOpen);
        const currencies = ref(["USD", "EUR", "GBP", "JPY", "CAD", "AUD", "CHF", "CNY", "NZD", "ZAR", "RUB", "BRL", "INR", "SGD", "SAR"]);
        const banks = ref(["Akbank", "Garanti BBVA", "Halkbank", "İş Bankası", "Türkiye Cumhuriyeti Ziraat Bankası",
        ]);
        const documentTypeItems = ref(['Banka Dekontu', 'Banka Faturas']);
        const type = ref(['Kısmi Ödeme', 'Kısmi Ödeme (Mahsup)', 'Minumum', 'Peşin Hasar',]);
        const ti = ref(['İptal', 'Onaylandı', 'Bekliyor']);
        const quarters = ref(["quarters", "quarters"])
        const reactForm = reactive({
            type: null,
            selectedTi: null,
            expiryDate: new Date().toISOString().substr(0, 10),
            selectedCurreny: null,
            amount: null,
            description: null,
            year: new Date().getFullYear().toString(),
            selectedQuarter: null,
            selectedDocumentType: null,
            documentDate: new Date().toISOString().substr(0, 10),
            documentNo: null,
            selectedBank: null,
            selectedAccount: null
        });

        watch(() => props.isOpen, (newVal) => {
            modalOpen.value = newVal;
        });

        const closeModal = () => {
            modalOpen.value = false;
            emit('close');
        };
        const submitForm = () => {
            console.log(reactForm.value);
            reactForm.value = {
                type: null,
                selectedTi: null,
                expiryDate: new Date().toISOString().substr(0, 10),
                selectedCurreny: null,
                amount: null,
                description: null,
                year: new Date().getFullYear().toString(),
                selectedQuarter: null,
                selectedDocumentType: null,
                documentDate: new Date().toISOString().substr(0, 10),
                documentNo: null,
                selectedBank: null,
                selectedAccount: null
            };
        };

        return {
            modalOpen,
            reactForm,
            banks,
            currencies,
            documentTypeItems,
            type,
            ti,
            quarters,
            closeModal,
            submitForm
        };
    }
};
</script>
  